Name: CrownCutlass
Version: 1.2
Release: alt0.1alpha.1

Summary: Crown and Cutlass is a 3d pirate action/adventure game

License: Distributable
Url: http://crownandcutlass.sourceforge.net/
Group: Games/Arcade

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-Alpha%version.tar.bz2
Patch: %name-%version.patch

# Automatically added by buildreq on Fri Dec 17 2004
BuildRequires: esound gcc-c++ libSDL-devel libSDL_image-devel libogg-devel libopenal-devel libstdc++-devel libvorbis-devel xorg-x11-devel xorg-x11-libs

%description
Crown and Cutlass is a 3d pirate action/adventure game in the spirit
of the old Pirates! game.
It is being written in C++, using OpenGL and SDL with an 
emphasis on cross-platform compatibility.  
The project is still early on in development,
although it is just beginning to look like an actual game.

%prep
%setup -q -n %name
%patch

%build
%make

%install
%__mkdir -p %buildroot/%_gamesdatadir/%name
%__cp -rf data %buildroot/%_gamesdatadir/%name/
%__install %name %buildroot/%_gamesdatadir/%name/%name
%__install -m 0644 Config.xml %buildroot/%_gamesdatadir/%name/
%__mkdir -p %buildroot%_gamesbindir
cat >%buildroot%_gamesbindir/%name <<EOF
cd %_gamesdatadir/%name
./%name
EOF

# menu entry
mkdir -p $RPM_BUILD_ROOT%_libdir/menu
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
	command="%_gamesbindir/%name" \
	needs="X11" \
	icon="%name.png" \
	section="Amusement/Arcade" \
	title="%name"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc LICENSE INSTALL README
%attr (0755 root root) %_gamesbindir/*
%_gamesdatadir/%name
%_menudir/%name

%changelog
* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2-alt0.1alpha.1
- Rebuilt with libstdc++.so.6.

* Fri Dec 17 2004 Vitaly Lipatov <lav@altlinux.ru> 1.2-alt0.1alpha
- first build for ALT Linux Sisyphus

